For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
      • GETList Payments
      • POSTInitiate Payment
      • GETSearch payments by merchant reference
      • GETRetrieve Payment
      • POSTAuthorize Payment
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
  • Reporting API
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Payments APIPayment

Retrieve Payment

GET
https://api.payos.money/api/v1/payment/:transactionId
GET
/api/v1/payment/:transactionId
$curl https://api.payos.money/api/v1/payment/e8d3f9a4-2c5b-4e7f-9a1d-6b8c2e4f7a9b
1{
2 "status": "string",
3 "transactionId": "string",
4 "message": "string",
5 "authState": {
6 "state": "string",
7 "transitionedAt": "string",
8 "transactionId": "string"
9 },
10 "merchantReference": "string",
11 "sessionId": "string",
12 "identifiers": {},
13 "paymentAttributes": {},
14 "paymentMethodId": "string",
15 "processorName": "string",
16 "processorReference": "string",
17 "financialTransactionReference": "string",
18 "currentAttemptId": "string",
19 "batchPayoutId": "string"
20}
Retrieves the current status and details of an existing payment transaction.
Was this page helpful?
Previous

Authorize Payment

Next
Built with

Path parameters

transactionIdstringRequired
Unique identifier for the payment transaction

Response

Payment details retrieved successfully
statusstring
Current transaction status
transactionIdstring
Unique transaction identifier
messagestring
Status message describing the transaction state
authStateobject
Authentication state union containing all possible transaction states
merchantReferencestring
Merchant reference from the original session
sessionIdstringformat: "uuid"
Session ID associated with the transaction
identifiersmap from strings to strings
Additional identifiers related to the transaction
paymentAttributesmap from strings to strings

Payment-specific attributes and metadata

paymentMethodIdstring
Payment method identifier
processorNamestring
Payment processor name
processorReferencestring
Payment processor reference
financialTransactionReferencestring
Financial transaction reference from the processor
currentAttemptIdstring
Current attempt identifier
batchPayoutIdstring
Batch payout identifier, if the transaction is part of a batch payout

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error